package com.gabrielozeas.domain;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.ManyToOne;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;
import javax.validation.constraints.NotNull;

@Entity
@NamedQueries({
	@NamedQuery(name="Reservation.getAll", query="Select r From Reservation r where r.user.id = :id")
})
public class Reservation implements Serializable {
	@Id @GeneratedValue(strategy = GenerationType.IDENTITY)
	private Long id;
	@ManyToOne
	@NotNull
	private Room room;
	@ManyToOne
	@NotNull
	private UserAccount user;
	@Temporal(TemporalType.DATE)
	private Date dataCheckIn;
	@Temporal(TemporalType.DATE)
	private Date dataCheckOut;
	private BigDecimal reservationPrice;

	public Reservation() {
	}

	public Reservation(Room room, UserAccount user, Date dataCheckIn, Date dataCheckOut) {
		super();
		this.room = room;
		this.user = user;
		this.dataCheckIn = dataCheckIn;
		this.dataCheckOut = dataCheckOut;
	}



	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Room getRoom() {
		return room;
	}

	public void setRoom(Room room) {
		this.room = room;
	}

	public UserAccount getUser() {
		return user;
	}

	public void setUser(UserAccount user) {
		this.user = user;
	}

	public Date getDataCheckIn() {
		return dataCheckIn;
	}

	public void setDataCheckIn(Date dataCheckIn) {
		this.dataCheckIn = dataCheckIn;
	}

	public Date getDataCheckOut() {
		return dataCheckOut;
	}

	public void setDataCheckOut(Date dataCheckOut) {
		this.dataCheckOut = dataCheckOut;
	}

	public BigDecimal getReservationPrice() {
		return reservationPrice;
	}

	public void setReservationPrice(BigDecimal reservationPrice) {
		this.reservationPrice = reservationPrice;
	}

	

}
