package com.gabrielozeas.domain;

import java.util.Calendar;
import java.util.Date;

import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;

import org.jboss.arquillian.container.test.api.Deployment;
import org.jboss.arquillian.junit.Arquillian;
import org.jboss.arquillian.persistence.Cleanup;
import org.jboss.arquillian.persistence.CleanupStrategy;
import org.jboss.arquillian.persistence.ShouldMatchDataSet;
import org.jboss.arquillian.persistence.TestExecutionPhase;
import org.jboss.arquillian.persistence.UsingDataSet;
import org.jboss.shrinkwrap.api.ShrinkWrap;
import org.jboss.shrinkwrap.api.asset.EmptyAsset;
import org.jboss.shrinkwrap.api.spec.JavaArchive;
import org.junit.Test;
import org.junit.runner.RunWith;

import com.gabrielozeas.domain.Room;
import com.gabrielozeas.domain.Reservation;
import com.gabrielozeas.domain.UserAccount;

@RunWith(Arquillian.class)
@Cleanup(phase = TestExecutionPhase.AFTER)
public class RoomPersistenceTest {
	@Deployment
	public static JavaArchive createArchive() throws Exception {
		return ShrinkWrap
				.create(JavaArchive.class, "reservation-domain.jar")
				.addPackage(Reservation.class.getPackage())
				.addAsManifestResource(EmptyAsset.INSTANCE, "beans.xml")
				.addAsManifestResource("test-persistence.xml",
						"persistence.xml");
	}

	@PersistenceContext(unitName = "test")
	private EntityManager entityManager;

	@Test
	@UsingDataSet({"rooms.yml"})
	//@UsingDataSet({"rooms.json"})
	//@UsingDataSet({"rooms.xml"})
	public void addValidReservation() throws Exception {
		
	}
}
